API referenceCalls and routing
Call an endpoint
Call one vendor endpoint. Reserves the worst-case cost, charges the actual cost. Async vendors return a job.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
provider*string
Match
^[a-z0-9-]+$endpoint*string
Match
^[a-z0-9._-]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/call/string/string" \ -H "Content-Type: application/json" \ -d '{ "input": { "property1": null, "property2": null } }'{ "object": "call", "id": "string", "endpoint_id": "string", "provider": "string", "status": "succeeded", "hit": true, "cost_micro": 0, "latency_ms": 0, "credential": "managed", "data": { "property1": null, "property2": null }, "raw": null, "attempts": [ { "endpoint_id": "string", "provider": "string", "outcome": "hit", "cost_micro": 0, "latency_ms": 0, "error_code": "invalid_request" } ], "meta": { "property1": "string", "property2": "string" }, "cache": { "status": "hit", "age_s": 0, "fetched_at": "2019-08-24T14:15:22Z", "saved_micro": 0, "fields_cached": [ "string" ], "fields_fetched": [ "string" ] }}Look up a call GET
Cost, timings (total, upstream, overhead, TTFB, queue), provider, outcome and every routed attempt of one call, like OpenRouter's generation lookup. Keys without logs:read only see calls they made. Available a few seconds after the call.
Get workspace default options GET
The workspace's default ExecutionOptions (the lowest precedence layer).